<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__conn__update__param__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_conn_update_param_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__conn__update__param__info__t_1ac1e540aed837eba61cbf5f4a96fcdc2f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_update_param_info_t::connIntvMin</definition>
        <argsstring />
        <name>connIntvMin</name>
        <briefdescription>
<para>Minimum value for the connection event interval. </para>        </briefdescription>
        <detaileddescription>
<para>This shall be less than or equal to conn_Interval_Max. Minimum connection interval will be connIntvMin * 1.25 ms Time Range: 7.5 ms to 4 sec </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="580" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="580" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__update__param__info__t_1aa1d15c92293aac692f5d3d969b9bb973" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_update_param_info_t::connIntvMax</definition>
        <argsstring />
        <name>connIntvMax</name>
        <briefdescription>
<para>Maximum value for the connection event interval. </para>        </briefdescription>
        <detaileddescription>
<para>This shall be greater than or equal to conn_Interval_Min. Maximum connection interval will be connIntvMax * 1.25 ms Time Range: 7.5 ms to 4 sec </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="587" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="587" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__update__param__info__t_1ac105a553462940b2d38562f4afbe2635" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_update_param_info_t::connLatency</definition>
        <argsstring />
        <name>connLatency</name>
        <briefdescription>
<para>Slave latency for the connection in number of connection events. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0000 to 0x01F3 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="592" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="592" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__update__param__info__t_1a7450d07df9bbf9ccc9666e7486464712" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_update_param_info_t::supervisionTO</definition>
        <argsstring />
        <name>supervisionTO</name>
        <briefdescription>
<para>Supervision timeout for the LE Link. </para>        </briefdescription>
        <detaileddescription>
<para>Supervision timeout will be supervisionTO * 10 ms Time Range: 100 msec to 32 secs </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="598" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="598" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__update__param__info__t_1af4bdbbf5edbed8be0b9734457faaadb0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_conn_update_param_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="601" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="601" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__update__param__info__t_1add4f2206e59a33ec3acd7e49cf59d6d4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_update_param_info_t::ceLength</definition>
        <argsstring />
        <name>ceLength</name>
        <briefdescription>
<para>connection length </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="604" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="604" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GAP Connection Update parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="606" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="573" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="574" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__conn__update__param__info__t_1af4bdbbf5edbed8be0b9734457faaadb0" virt="non-virtual"><scope>cy_stc_ble_gap_conn_update_param_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__update__param__info__t_1add4f2206e59a33ec3acd7e49cf59d6d4" virt="non-virtual"><scope>cy_stc_ble_gap_conn_update_param_info_t</scope><name>ceLength</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__update__param__info__t_1aa1d15c92293aac692f5d3d969b9bb973" virt="non-virtual"><scope>cy_stc_ble_gap_conn_update_param_info_t</scope><name>connIntvMax</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__update__param__info__t_1ac1e540aed837eba61cbf5f4a96fcdc2f" virt="non-virtual"><scope>cy_stc_ble_gap_conn_update_param_info_t</scope><name>connIntvMin</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__update__param__info__t_1ac105a553462940b2d38562f4afbe2635" virt="non-virtual"><scope>cy_stc_ble_gap_conn_update_param_info_t</scope><name>connLatency</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__update__param__info__t_1a7450d07df9bbf9ccc9666e7486464712" virt="non-virtual"><scope>cy_stc_ble_gap_conn_update_param_info_t</scope><name>supervisionTO</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>